#
# Conditional build:
%bcond_without	tests	# unit tests

%define 	module	ipaddr

Summary:	Python module is useful to manipulate IP addresses (sets)
Summary(pl.UTF-8):	Moduł języka Python do operowania adresami lub zbiorami adresów IP
Name:		python-%{module}
Version:	2.2.0
Release:	2
License:	Apache v2.0
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/ipaddr/
Source0:	https://files.pythonhosted.org/packages/source/i/ipaddr/%{module}-%{version}.tar.gz
# Source0-md5:	f88353e40dec06410acfa075b8209b27
URL:		https://github.com/google/ipaddr-py
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	python >= 2
BuildRequires:	python-modules >= 2
BuildRequires:	rpm-pythonprov
Requires:	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is useful if you need to manipulate IP addresses or sets
of IP addresses.

%description -l pl.UTF-8
Moduł języka Python do operowania adresami lub zbiorami adresów IP.

%prep
%setup -q -n %{module}-%{version}

%build
%py_build

%if %{with tests}
%{__python} ipaddr_test.py
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py_install

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{py_sitescriptdir}/ipaddr.py[co]
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif
%changelog
* Fri Mar 05 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-ipaddr.git;a=log;h=master

* Fri Mar 05 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> 9e18375
- release 2 (by relup.sh)

* Sat Mar 02 2019 Jakub Bogusz <qboosh@pld-linux.org> c7df42d
- updated URLs, run tests

* Sat Mar 02 2019 Adam Gołębiowski <adamg@pld-linux.org> 24bf32a
- updated to 2.2.0

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> eb9a334
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 5529996
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> e4f4294
- automatic change: use py_build/py_install macros

* Sun Oct 19 2014 Jakub Bogusz <qboosh@pld-linux.org> f236667
- updated to 2.1.11
- more verbose files to easier catch including unwanted file

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> a3bcb4f
- rel 2; build/install via setup.py (thus avoid installing setup.py which was causing: sphinx-build: error: option -b not recognized)

* Fri Jan 27 2012 zbyniu <zbyniu@pld-linux.org> 4923feb
- up to 2.1.10

* Sat Jun 11 2011 zbyniu <zbyniu@pld-linux.org> 9043161
- really noarch, license is Apache, rel 2

* Fri Jun 10 2011 zbyniu <zbyniu@pld-linux.org> f56acc3
- up to 2.1.9; noarch

* Mon Feb 21 2011 areq <areq@pld-linux.org> 756773a
- 2.1.8

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 2104360
- added BR: python-modules, rpm-pythonprov

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 245bf8c
- release 7

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 5cdd3f5
- release 6

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 9af2242
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 79df645
- converted to UTF-8

* Sat Dec 25 2004 saq <saq@pld-linux.org> 0d5ace1
- release 5 for rebuild with python 2.4

* Sat Aug 14 2004 averne <averne@pld-linux.org> 3eeef47
- rel 4

* Wed Jul 28 2004 Michal Chruszcz <mchruszcz@gmail.com> 7e30343
- removed %%include /usr/lib/rpm/macros.python

